DEV Community

loading...

sudo apt-get install git-all

psnebc profile image Patrick Schanen ・15 min read

This install is on Linux Mint 18.1 LTS KDE Desktop Virtualbox

patrick@patrick-vbox ~ $ sudo apt-get install git-all
[sudo] password for patrick: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  apache2 apache2-bin apache2-data apache2-utils cvs cvsps emacs emacs24
  emacs24-bin-common emacs24-common emacs24-common-non-dfsg git git-arch
  git-cvs git-doc git-el git-email git-gui git-man git-mediawiki git-svn
  gitk gitweb libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap
  libclass-factory-util-perl libclass-singleton-perl
  libdatetime-format-builder-perl libdatetime-format-iso8601-perl
  libdatetime-format-strptime-perl libdatetime-locale-perl libdatetime-perl
  libdatetime-timezone-perl libdbd-sqlite3-perl libdbi-perl liberror-perl
  libjson-perl liblua5.1-0 libm17n-0 libmediawiki-api-perl
  libmodule-implementation-perl libmodule-runtime-perl libotf0
  libpackage-deprecationmanager-perl libpackage-stash-perl
  libparams-classify-perl libparams-util-perl libparams-validate-perl
  libserf-1-1 libsub-install-perl libsvn-perl libsvn1 libterm-readkey-perl
  libtry-tiny-perl libyaml-perl m17n-db tla
Suggested packages:
  apache2-doc apache2-suexec-pristine | apache2-suexec-custom mksh rcs
  ncurses-term git-daemon-run | git-daemon-sysvinit mediawiki subversion
  libmldbm-perl libnet-daemon-perl libsql-statement-perl m17n-docs
  libscalar-number-perl libyaml-shell-perl
Recommended packages:
  emacs24-el git-daemon-run | git-daemon-sysvinit libjson-xs-perl
  libpackage-stash-xs-perl tla-doc
The following NEW packages will be installed:
  apache2 apache2-bin apache2-data apache2-utils cvs cvsps emacs emacs24
  emacs24-bin-common emacs24-common emacs24-common-non-dfsg git git-all
  git-arch git-cvs git-doc git-el git-email git-gui git-man git-mediawiki
  git-svn gitk gitweb libapr1 libaprutil1 libaprutil1-dbd-sqlite3
  libaprutil1-ldap libclass-factory-util-perl libclass-singleton-perl
  libdatetime-format-builder-perl libdatetime-format-iso8601-perl
  libdatetime-format-strptime-perl libdatetime-locale-perl libdatetime-perl
  libdatetime-timezone-perl libdbd-sqlite3-perl libdbi-perl liberror-perl
  libjson-perl liblua5.1-0 libm17n-0 libmediawiki-api-perl
  libmodule-implementation-perl libmodule-runtime-perl libotf0
  libpackage-deprecationmanager-perl libpackage-stash-perl
  libparams-classify-perl libparams-util-perl libparams-validate-perl
  libserf-1-1 libsub-install-perl libsvn-perl libsvn1 libterm-readkey-perl
  libtry-tiny-perl libyaml-perl m17n-db tla
0 upgraded, 60 newly installed, 0 to remove and 0 not upgraded.
Need to get 37,7 MB of archives.
After this operation, 190 MB of additional disk space will be used.
Do you want to continue? [Y/n] <span style="background-color: yellow;">y</span>
Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 libapr1 amd64 1.5.2-3 [86,0 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 libaprutil1 amd64 1.5.4-1build1 [77,1 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 libaprutil1-dbd-sqlite3 amd64 1.5.4-1build1 [10,6 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial/main amd64 libaprutil1-ldap amd64 1.5.4-1build1 [8.720 B]
Get:5 http://archive.ubuntu.com/ubuntu xenial/main amd64 liblua5.1-0 amd64 5.1.5-8ubuntu1 [102 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 apache2-bin amd64 2.4.18-2ubuntu3.1 [923 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 apache2-utils amd64 2.4.18-2ubuntu3.1 [81,3 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 apache2-data all 2.4.18-2ubuntu3.1 [162 kB]
Get:9 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 apache2 amd64 2.4.18-2ubuntu3.1 [86,7 kB]
Get:10 http://archive.ubuntu.com/ubuntu xenial/main amd64 liberror-perl all 0.17-1.2 [19,6 kB]
Get:11 http://archive.ubuntu.com/ubuntu xenial/main amd64 git-man all 1:2.7.4-0ubuntu1 [735 kB]
Get:12 http://archive.ubuntu.com/ubuntu xenial/main amd64 git amd64 1:2.7.4-0ubuntu1 [3.006 kB]
Get:13 http://archive.ubuntu.com/ubuntu xenial/universe amd64 gitweb all 1:2.7.4-0ubuntu1 [10,6 kB]
Get:14 http://archive.ubuntu.com/ubuntu xenial/main amd64 libserf-1-1 amd64 1.3.8-1 [45,5 kB]
Get:15 http://archive.ubuntu.com/ubuntu xenial/main amd64 cvs amd64 2:1.12.13+real-15 [2.332 kB]
Get:16 http://archive.ubuntu.com/ubuntu xenial/universe amd64 cvsps amd64 2.1-6ubuntu1 [40,9 kB]                                                                          
Get:17 http://archive.ubuntu.com/ubuntu xenial/main amd64 emacs24-common-non-dfsg all 24.4+1-2 [4.545 kB]                                                                  
Get:18 http://archive.ubuntu.com/ubuntu xenial/main amd64 emacs24-common all 24.5+1-6ubuntu1 [12,7 MB]                                                                     
Get:19 http://archive.ubuntu.com/ubuntu xenial/main amd64 emacs24-bin-common amd64 24.5+1-6ubuntu1 [107 kB]                                                                
Get:20 http://archive.ubuntu.com/ubuntu xenial/main amd64 libotf0 amd64 0.9.13-3 [44,6 kB]                                                                                 
Get:21 http://archive.ubuntu.com/ubuntu xenial/main amd64 m17n-db all 1.7.0-2 [1.239 kB]                                                                                   
Get:22 http://archive.ubuntu.com/ubuntu xenial/main amd64 libm17n-0 amd64 1.7.0-3 [242 kB]                                                                                 
Get:23 http://archive.ubuntu.com/ubuntu xenial/main amd64 emacs24 amd64 24.5+1-6ubuntu1 [3.369 kB]                                                                         
Get:24 http://archive.ubuntu.com/ubuntu xenial/main amd64 emacs all 46.1 [1.692 B]                                                                                         
Get:25 http://archive.ubuntu.com/ubuntu xenial/main amd64 git-doc all 1:2.7.4-0ubuntu1 [873 kB]                                                                            
Get:26 http://archive.ubuntu.com/ubuntu xenial/universe amd64 git-el all 1:2.7.4-0ubuntu1 [25,9 kB]                                                                        
Get:27 http://archive.ubuntu.com/ubuntu xenial/universe amd64 tla amd64 1.3.5+dfsg1-2 [320 kB]                                                                             
Get:28 http://archive.ubuntu.com/ubuntu xenial/universe amd64 git-arch all 1:2.7.4-0ubuntu1 [19,6 kB]                                                                      
Get:29 http://archive.ubuntu.com/ubuntu xenial/main amd64 libdbi-perl amd64 1.634-1build1 [743 kB]                                                                         
Get:30 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdbd-sqlite3-perl amd64 1.50-1 [143 kB]                                                                    
Get:31 http://archive.ubuntu.com/ubuntu xenial/universe amd64 git-cvs all 1:2.7.4-0ubuntu1 [69,3 kB]                                                                       
Get:32 http://archive.ubuntu.com/ubuntu xenial/main amd64 libjson-perl all 2.90-1 [79,4 kB]                                                                                
Get:33 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libmediawiki-api-perl all 0.41-1 [23,3 kB]                                                                  
Get:34 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libclass-factory-util-perl all 1.7-3 [6.910 B]                                                              
Get:35 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libparams-classify-perl amd64 0.013-5build1 [21,1 kB]                                                       
Get:36 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libmodule-runtime-perl all 0.014-2 [15,6 kB]                                                                
Get:37 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libtry-tiny-perl all 0.24-1 [19,8 kB]                                                                       
Get:38 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libmodule-implementation-perl all 0.09-1 [12,2 kB]                                                          
Get:39 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libparams-validate-perl amd64 1.22-1 [49,9 kB]                                                              
Get:40 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdatetime-locale-perl all 1:1.02-1 [2.195 kB]                                                             
Get:41 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libclass-singleton-perl all 1.5-1 [13,0 kB]                                                                 
Get:42 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdatetime-timezone-perl all 1:1.95-1+2016a [246 kB]                                                       
Get:43 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdatetime-perl amd64 2:1.21-1build1 [85,6 kB]                                                             
Get:44 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libpackage-stash-perl all 0.37-1 [18,3 kB]                                                                  
Get:45 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libparams-util-perl amd64 1.07-2build2 [19,5 kB]                                                            
Get:46 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libsub-install-perl all 0.928-1 [10,5 kB]                                                                   
Get:47 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libpackage-deprecationmanager-perl all 0.15-1 [13,3 kB]                                                     
Get:48 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdatetime-format-strptime-perl all 1.6300-1 [19,7 kB]                                                     
Get:49 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdatetime-format-builder-perl all 0.8100-1 [68,3 kB]                                                      
Get:50 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libdatetime-format-iso8601-perl all 0.08-2 [14,6 kB]                                                        
Get:51 http://archive.ubuntu.com/ubuntu xenial/universe amd64 git-mediawiki all 1:2.7.4-0ubuntu1 [21,8 kB]                                                                
Get:52 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsvn1 amd64 1.9.3-2ubuntu1 [1.168 kB]                                                                         
Get:53 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsvn-perl amd64 1.9.3-2ubuntu1 [846 kB]                                                                       
Get:54 http://archive.ubuntu.com/ubuntu xenial/main amd64 libyaml-perl all 1.15-1 [62,2 kB]                                                                               
Get:55 http://archive.ubuntu.com/ubuntu xenial/universe amd64 libterm-readkey-perl amd64 2.33-1build1 [27,2 kB]                                                           
Get:56 http://archive.ubuntu.com/ubuntu xenial/universe amd64 git-svn all 1:2.7.4-0ubuntu1 [90,8 kB]                                                                      
Get:57 http://archive.ubuntu.com/ubuntu xenial/universe amd64 git-email all 1:2.7.4-0ubuntu1 [28,3 kB]                                                                    
Get:58 http://archive.ubuntu.com/ubuntu xenial/universe amd64 git-gui all 1:2.7.4-0ubuntu1 [207 kB]                                                                       
Get:59 http://archive.ubuntu.com/ubuntu xenial/main amd64 gitk all 1:2.7.4-0ubuntu1 [131 kB]                                                                              
Get:60 http://archive.ubuntu.com/ubuntu xenial/universe amd64 git-all all 1:2.7.4-0ubuntu1 [6.394 B]                                                                      
Fetched 37,7 MB in 1min 3s (595 kB/s)                                                                                                                                     
Extracting templates from packages: 100%
Selecting previously unselected package libapr1:amd64.
(Reading database ... 290778 files and directories currently installed.)
Preparing to unpack .../libapr1_1.5.2-3_amd64.deb ...
Unpacking libapr1:amd64 (1.5.2-3) ...
Selecting previously unselected package libaprutil1:amd64.
Preparing to unpack .../libaprutil1_1.5.4-1build1_amd64.deb ...
Unpacking libaprutil1:amd64 (1.5.4-1build1) ...
Selecting previously unselected package libaprutil1-dbd-sqlite3:amd64.
Preparing to unpack .../libaprutil1-dbd-sqlite3_1.5.4-1build1_amd64.deb ...
Unpacking libaprutil1-dbd-sqlite3:amd64 (1.5.4-1build1) ...
Selecting previously unselected package libaprutil1-ldap:amd64.
Preparing to unpack .../libaprutil1-ldap_1.5.4-1build1_amd64.deb ...
Unpacking libaprutil1-ldap:amd64 (1.5.4-1build1) ...
Selecting previously unselected package liblua5.1-0:amd64.
Preparing to unpack .../liblua5.1-0_5.1.5-8ubuntu1_amd64.deb ...
Unpacking liblua5.1-0:amd64 (5.1.5-8ubuntu1) ...
Selecting previously unselected package apache2-bin.
Preparing to unpack .../apache2-bin_2.4.18-2ubuntu3.1_amd64.deb ...
Unpacking apache2-bin (2.4.18-2ubuntu3.1) ...
Selecting previously unselected package apache2-utils.
Preparing to unpack .../apache2-utils_2.4.18-2ubuntu3.1_amd64.deb ...
Unpacking apache2-utils (2.4.18-2ubuntu3.1) ...
Selecting previously unselected package apache2-data.
Preparing to unpack .../apache2-data_2.4.18-2ubuntu3.1_all.deb ...
Unpacking apache2-data (2.4.18-2ubuntu3.1) ...
Selecting previously unselected package apache2.
Preparing to unpack .../apache2_2.4.18-2ubuntu3.1_amd64.deb ...
Unpacking apache2 (2.4.18-2ubuntu3.1) ...
Selecting previously unselected package liberror-perl.
Preparing to unpack .../liberror-perl_0.17-1.2_all.deb ...
Unpacking liberror-perl (0.17-1.2) ...
Selecting previously unselected package git-man.
Preparing to unpack .../git-man_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-man (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package git.
Preparing to unpack .../git_1%3a2.7.4-0ubuntu1_amd64.deb ...
Unpacking git (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package gitweb.
Preparing to unpack .../gitweb_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking gitweb (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package libserf-1-1:amd64.
Preparing to unpack .../libserf-1-1_1.3.8-1_amd64.deb ...
Unpacking libserf-1-1:amd64 (1.3.8-1) ...
Selecting previously unselected package cvs.
Preparing to unpack .../cvs_2%3a1.12.13+real-15_amd64.deb ...
Unpacking cvs (2:1.12.13+real-15) ...
Selecting previously unselected package cvsps.
Preparing to unpack .../cvsps_2.1-6ubuntu1_amd64.deb ...
Unpacking cvsps (2.1-6ubuntu1) ...
Selecting previously unselected package emacs24-common-non-dfsg.
Preparing to unpack .../emacs24-common-non-dfsg_24.4+1-2_all.deb ...
Unpacking emacs24-common-non-dfsg (24.4+1-2) ...
Selecting previously unselected package emacs24-common.
Preparing to unpack .../emacs24-common_24.5+1-6ubuntu1_all.deb ...
Unpacking emacs24-common (24.5+1-6ubuntu1) ...
Selecting previously unselected package emacs24-bin-common.
Preparing to unpack .../emacs24-bin-common_24.5+1-6ubuntu1_amd64.deb ...
Unpacking emacs24-bin-common (24.5+1-6ubuntu1) ...
Selecting previously unselected package libotf0:amd64.
Preparing to unpack .../libotf0_0.9.13-3_amd64.deb ...
Unpacking libotf0:amd64 (0.9.13-3) ...
Selecting previously unselected package m17n-db.
Preparing to unpack .../m17n-db_1.7.0-2_all.deb ...
Unpacking m17n-db (1.7.0-2) ...
Selecting previously unselected package libm17n-0:amd64.
Preparing to unpack .../libm17n-0_1.7.0-3_amd64.deb ...
Unpacking libm17n-0:amd64 (1.7.0-3) ...
Selecting previously unselected package emacs24.
Preparing to unpack .../emacs24_24.5+1-6ubuntu1_amd64.deb ...
Unpacking emacs24 (24.5+1-6ubuntu1) ...
Selecting previously unselected package emacs.
Preparing to unpack .../archives/emacs_46.1_all.deb ...
Unpacking emacs (46.1) ...
Selecting previously unselected package git-doc.
Preparing to unpack .../git-doc_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-doc (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package git-el.
Preparing to unpack .../git-el_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-el (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package tla.
Preparing to unpack .../tla_1.3.5+dfsg1-2_amd64.deb ...
Unpacking tla (1.3.5+dfsg1-2) ...
Selecting previously unselected package git-arch.
Preparing to unpack .../git-arch_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-arch (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package libdbi-perl.
Preparing to unpack .../libdbi-perl_1.634-1build1_amd64.deb ...
Unpacking libdbi-perl (1.634-1build1) ...
Selecting previously unselected package libdbd-sqlite3-perl.
Preparing to unpack .../libdbd-sqlite3-perl_1.50-1_amd64.deb ...
Unpacking libdbd-sqlite3-perl (1.50-1) ...
Selecting previously unselected package git-cvs.
Preparing to unpack .../git-cvs_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-cvs (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package libjson-perl.
Preparing to unpack .../libjson-perl_2.90-1_all.deb ...
Unpacking libjson-perl (2.90-1) ...
Selecting previously unselected package libmediawiki-api-perl.
Preparing to unpack .../libmediawiki-api-perl_0.41-1_all.deb ...
Unpacking libmediawiki-api-perl (0.41-1) ...
Selecting previously unselected package libclass-factory-util-perl.
Preparing to unpack .../libclass-factory-util-perl_1.7-3_all.deb ...
Unpacking libclass-factory-util-perl (1.7-3) ...
Selecting previously unselected package libparams-classify-perl.
Preparing to unpack .../libparams-classify-perl_0.013-5build1_amd64.deb ...
Unpacking libparams-classify-perl (0.013-5build1) ...
Selecting previously unselected package libmodule-runtime-perl.
Preparing to unpack .../libmodule-runtime-perl_0.014-2_all.deb ...
Unpacking libmodule-runtime-perl (0.014-2) ...
Selecting previously unselected package libtry-tiny-perl.
Preparing to unpack .../libtry-tiny-perl_0.24-1_all.deb ...
Unpacking libtry-tiny-perl (0.24-1) ...
Selecting previously unselected package libmodule-implementation-perl.
Preparing to unpack .../libmodule-implementation-perl_0.09-1_all.deb ...
Unpacking libmodule-implementation-perl (0.09-1) ...
Selecting previously unselected package libparams-validate-perl.
Preparing to unpack .../libparams-validate-perl_1.22-1_amd64.deb ...
Unpacking libparams-validate-perl (1.22-1) ...
Selecting previously unselected package libdatetime-locale-perl.
Preparing to unpack .../libdatetime-locale-perl_1%3a1.02-1_all.deb ...
Unpacking libdatetime-locale-perl (1:1.02-1) ...
Selecting previously unselected package libclass-singleton-perl.
Preparing to unpack .../libclass-singleton-perl_1.5-1_all.deb ...
Unpacking libclass-singleton-perl (1.5-1) ...
Selecting previously unselected package libdatetime-timezone-perl.
Preparing to unpack .../libdatetime-timezone-perl_1%3a1.95-1+2016a_all.deb ...
Unpacking libdatetime-timezone-perl (1:1.95-1+2016a) ...
Selecting previously unselected package libdatetime-perl.
Preparing to unpack .../libdatetime-perl_2%3a1.21-1build1_amd64.deb ...
Unpacking libdatetime-perl (2:1.21-1build1) ...
Selecting previously unselected package libpackage-stash-perl.
Preparing to unpack .../libpackage-stash-perl_0.37-1_all.deb ...
Unpacking libpackage-stash-perl (0.37-1) ...
Selecting previously unselected package libparams-util-perl.
Preparing to unpack .../libparams-util-perl_1.07-2build2_amd64.deb ...
Unpacking libparams-util-perl (1.07-2build2) ...
Selecting previously unselected package libsub-install-perl.
Preparing to unpack .../libsub-install-perl_0.928-1_all.deb ...
Unpacking libsub-install-perl (0.928-1) ...
Selecting previously unselected package libpackage-deprecationmanager-perl.
Preparing to unpack .../libpackage-deprecationmanager-perl_0.15-1_all.deb ...
Unpacking libpackage-deprecationmanager-perl (0.15-1) ...
Selecting previously unselected package libdatetime-format-strptime-perl.
Preparing to unpack .../libdatetime-format-strptime-perl_1.6300-1_all.deb ...
Unpacking libdatetime-format-strptime-perl (1.6300-1) ...
Selecting previously unselected package libdatetime-format-builder-perl.
Preparing to unpack .../libdatetime-format-builder-perl_0.8100-1_all.deb ...
Unpacking libdatetime-format-builder-perl (0.8100-1) ...
Selecting previously unselected package libdatetime-format-iso8601-perl.
Preparing to unpack .../libdatetime-format-iso8601-perl_0.08-2_all.deb ...
Unpacking libdatetime-format-iso8601-perl (0.08-2) ...
Selecting previously unselected package git-mediawiki.
Preparing to unpack .../git-mediawiki_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-mediawiki (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package libsvn1:amd64.
Preparing to unpack .../libsvn1_1.9.3-2ubuntu1_amd64.deb ...
Unpacking libsvn1:amd64 (1.9.3-2ubuntu1) ...
Selecting previously unselected package libsvn-perl.
Preparing to unpack .../libsvn-perl_1.9.3-2ubuntu1_amd64.deb ...
Unpacking libsvn-perl (1.9.3-2ubuntu1) ...
Selecting previously unselected package libyaml-perl.
Preparing to unpack .../libyaml-perl_1.15-1_all.deb ...
Unpacking libyaml-perl (1.15-1) ...
Selecting previously unselected package libterm-readkey-perl.
Preparing to unpack .../libterm-readkey-perl_2.33-1build1_amd64.deb ...
Unpacking libterm-readkey-perl (2.33-1build1) ...
Selecting previously unselected package git-svn.
Preparing to unpack .../git-svn_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-svn (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package git-email.
Preparing to unpack .../git-email_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-email (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package git-gui.
Preparing to unpack .../git-gui_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-gui (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package gitk.
Preparing to unpack .../gitk_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking gitk (1:2.7.4-0ubuntu1) ...
Selecting previously unselected package git-all.
Preparing to unpack .../git-all_1%3a2.7.4-0ubuntu1_all.deb ...
Unpacking git-all (1:2.7.4-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for systemd (229-4ubuntu16) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for ufw (0.35-0ubuntu2) ...
Processing triggers for doc-base (0.10.7) ...
Processing 19 added doc-base files...
Registering documents with scrollkeeper...
Processing triggers for install-info (6.1.0.dfsg.1-5) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Setting up libapr1:amd64 (1.5.2-3) ...
Setting up libaprutil1:amd64 (1.5.4-1build1) ...
Setting up libaprutil1-dbd-sqlite3:amd64 (1.5.4-1build1) ...
Setting up libaprutil1-ldap:amd64 (1.5.4-1build1) ...
Setting up liblua5.1-0:amd64 (5.1.5-8ubuntu1) ...
Setting up apache2-bin (2.4.18-2ubuntu3.1) ...
Setting up apache2-utils (2.4.18-2ubuntu3.1) ...
Setting up apache2-data (2.4.18-2ubuntu3.1) ...
Setting up apache2 (2.4.18-2ubuntu3.1) ...
Enabling module mpm_event.
Enabling module authz_core.
Enabling module authz_host.
Enabling module authn_core.
Enabling module auth_basic.
Enabling module access_compat.
Enabling module authn_file.
Enabling module authz_user.
Enabling module alias.
Enabling module dir.
Enabling module autoindex.
Enabling module env.
Enabling module mime.
Enabling module negotiation.
Enabling module setenvif.
Enabling module filter.
Enabling module deflate.
Enabling module status.
Enabling conf charset.
Enabling conf localized-error-pages.
Enabling conf other-vhosts-access-log.
Enabling conf security.
Enabling conf serve-cgi-bin.
Enabling site 000-default.
Setting up liberror-perl (0.17-1.2) ...
Setting up git-man (1:2.7.4-0ubuntu1) ...
Setting up git (1:2.7.4-0ubuntu1) ...
Setting up gitweb (1:2.7.4-0ubuntu1) ...
apache2_invoke: Enable configuration gitweb
Setting up libserf-1-1:amd64 (1.3.8-1) ...
Setting up cvs (2:1.12.13+real-15) ...
Allowing use of questionable username.
Adding group `_cvsadmin' (GID 130) ...
Done.
Setting up cvsps (2.1-6ubuntu1) ...
Setting up emacs24-common-non-dfsg (24.4+1-2) ...
Setting up emacs24-common (24.5+1-6ubuntu1) ...
Setting up emacs24-bin-common (24.5+1-6ubuntu1) ...
update-alternatives: using /usr/bin/ctags.emacs24 to provide /usr/bin/ctags (ctags) in auto mode
update-alternatives: using /usr/bin/ebrowse.emacs24 to provide /usr/bin/ebrowse (ebrowse) in auto mode
update-alternatives: using /usr/bin/emacsclient.emacs24 to provide /usr/bin/emacsclient (emacsclient) in auto mode
update-alternatives: using /usr/bin/etags.emacs24 to provide /usr/bin/etags (etags) in auto mode
update-alternatives: using /usr/bin/grep-changelog.emacs24 to provide /usr/bin/grep-changelog (grep-changelog) in auto mode
Setting up libotf0:amd64 (0.9.13-3) ...
Setting up m17n-db (1.7.0-2) ...
Setting up libm17n-0:amd64 (1.7.0-3) ...
Setting up emacs24 (24.5+1-6ubuntu1) ...
update-alternatives: using /usr/bin/emacs24-x to provide /usr/bin/emacs (emacs) in auto mode
Install emacsen-common for emacs24
emacsen-common: Handling install of emacsen flavor emacs24
Wrote /etc/emacs24/site-start.d/00debian-vars.elc
Wrote /usr/share/emacs24/site-lisp/debian-startup.elc
Install git for emacs24
install/git: Handling install of emacsen flavor emacs24
install/git: Byte-compiling for emacs24
+ emacs24 -batch -q -no-site-file -f batch-byte-compile git.el git-blame.el
Wrote /usr/share/emacs24/site-lisp/git/git.elc
Wrote /usr/share/emacs24/site-lisp/git/git-blame.elc
Install dictionaries-common for emacs24
install/dictionaries-common: Byte-compiling for emacsen flavour emacs24
Wrote /usr/share/emacs24/site-lisp/dictionaries-common/debian-ispell.elc
Setting up emacs (46.1) ...
Setting up git-doc (1:2.7.4-0ubuntu1) ...
Setting up git-el (1:2.7.4-0ubuntu1) ...
Install git for emacs
Install git for emacs24
install/git: Handling install of emacsen flavor emacs24
install/git: Byte-compiling for emacs24
+ emacs24 -batch -q -no-site-file -f batch-byte-compile git.el git-blame.el
Wrote /usr/share/emacs24/site-lisp/git/git.elc
Wrote /usr/share/emacs24/site-lisp/git/git-blame.elc
Setting up tla (1.3.5+dfsg1-2) ...
Setting up git-arch (1:2.7.4-0ubuntu1) ...
Setting up libdbi-perl (1.634-1build1) ...
Setting up libdbd-sqlite3-perl (1.50-1) ...
Setting up git-cvs (1:2.7.4-0ubuntu1) ...
Setting up libjson-perl (2.90-1) ...
Setting up libmediawiki-api-perl (0.41-1) ...
Setting up libclass-factory-util-perl (1.7-3) ...
Setting up libparams-classify-perl (0.013-5build1) ...
Setting up libmodule-runtime-perl (0.014-2) ...
Setting up libtry-tiny-perl (0.24-1) ...
Setting up libmodule-implementation-perl (0.09-1) ...
Setting up libparams-validate-perl (1.22-1) ...
Setting up libdatetime-locale-perl (1:1.02-1) ...
Setting up libclass-singleton-perl (1.5-1) ...
Setting up libdatetime-timezone-perl (1:1.95-1+2016a) ...
Setting up libdatetime-perl (2:1.21-1build1) ...
Setting up libpackage-stash-perl (0.37-1) ...
Setting up libparams-util-perl (1.07-2build2) ...
Setting up libsub-install-perl (0.928-1) ...
Setting up libpackage-deprecationmanager-perl (0.15-1) ...
Setting up libdatetime-format-strptime-perl (1.6300-1) ...
Setting up libdatetime-format-builder-perl (0.8100-1) ...
Setting up libdatetime-format-iso8601-perl (0.08-2) ...
Setting up git-mediawiki (1:2.7.4-0ubuntu1) ...
Setting up libsvn1:amd64 (1.9.3-2ubuntu1) ...
Setting up libsvn-perl (1.9.3-2ubuntu1) ...
Setting up libyaml-perl (1.15-1) ...
Setting up libterm-readkey-perl (2.33-1build1) ...
Setting up git-svn (1:2.7.4-0ubuntu1) ...
Setting up git-email (1:2.7.4-0ubuntu1) ...
Setting up git-gui (1:2.7.4-0ubuntu1) ...
Setting up gitk (1:2.7.4-0ubuntu1) ...
Setting up git-all (1:2.7.4-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu7) ...
Processing triggers for systemd (229-4ubuntu16) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for ufw (0.35-0ubuntu2) ...
Enter fullscreen mode Exit fullscreen mode

Discussion (1)

pic
Editor guide
Collapse
athulmuralidhar profile image
Athul Muralidhar

hey, if you dont mind - could you provide a snippet as to what git-all is and what it does? thanks :)